UTOPRC(5)

NAME
utoprc - Configuration file of utop

SYNOPSIS
~/.utoprc

DESCRIPTION
This manual page describes the format of the ~/.utoprc file. This is a text file which contains the configuration of utop. Comments start with a '!' and empty lines are ignored. Configuration lines are of the form:
        <wildcard>: <value> <wildcard> may contains the '*' star character. In that case any key which match the pattern is given the value after the colon. The key profile may have the value dark or light. This is the same as calling UTop.set_profile in ~/.ocamlinit. The following style keys are used by utop:
        * identifier
        * module
        * comment
        * doc
        * constant
        * keyword
        * symbol
        * string
        * char
        * quotation
        * error
        * directive
        * parenthesis
        * blanks For each of these keys, the following sub-keys are used:
        * key.foreground
        * key.background
        * key.bold
        * key.underline
        * key.reverse
        * key.blink key.foreground and key.background are colors, and the others are booleans. Colors may be one of the standard terminal colors:
        * black
        * red
        * green
        * yellow
        * blue
        * magenta
        * cyan
        * white
        * light-black
        * light-red
        * light-green
        * light-yellow
        * light-blue
        * light-magenta
        * light-cyan
        * light-white or X11 colors, prefixed with "x-". For example:
        identifier.foreground: x-goldenrod Colors can also be given by their RGB components, written #RRGGBB. For example:
        identifier.foreground: #5fbf7f utop will choose the nearest color of the terminal when specifying a X11 color or a color given by its RGB components. If you are using gnome-terminal or konsole, you can enable 256 colors by setting the environment variable TERM to "xterm-256color".

FILES
~/.utoprc

EXAMPLE
profile: dark
identifier.foreground: none
comment.foreground: x-chocolate1
doc.foreground: x-light-salmon
constant.foreground: x-aquamarine
keyword.foreground: x-cyan1
symbol.foreground: x-cyan1
string.foreground: x-light-salmon
char.foreground: x-light-salmon
quotation.foreground: x-purple
error.foreground: x-red
parenthesis.background: blue

AUTHOR
Jérémie Dimino <jeremie@dimino.org>

SEE ALSO
utop(1).